Necesito ayuda para instalar Cinelerra en Edgy

Imagen de Charly57
0 puntos

Salud y prosperidad para todos en este nuevo año. Soy un nuevo usuario en el mundo de Linux y específicamente en Ubuntu, he instalado Ubuntu Edgy, con la ayuda de la Guia Ubuntu y en especial de este foro he podido solucionar algunos inconvenientes y ahora todo marcha muy bien, excepto un problema que se me presenta con Cinelerra; lo instale con un paquete .deb y con algunas otras dependencias también .deb; El caso es que al ejecutar Cinelerra aparece un mensaje de error que dice:

void Mwindow::init_shm0:WARNING:/proc/sys/kernel/shmmax is 0x2000000, which is too low.
Before running Cinelerra do the following as root:
echo “0x7fffffff” >/proc/sys/kernel/shmmax

Trate de iniciar sesión como root en Edgy pero no lo permite, dice que la contraseña no es valida y tengo activada la casilla: Permitir entrada local al administrador de sistema, en las Preferencias de la ventana de entrada.
Trate con sudo su y el mensaje desaparece pero cundo apago la maquina e inicio nuevamente Cinelerra, el mesaje aparece de nuevo.
¿Es esto un problema de edgy? , en Ubuntu Dapper todo me funcionaba a las mil maravillas.
Si alguien me pudiera ayudar lo agradecería infinítamente.
Gracias.

Imagen de Anónimo
+1
0
-1

Hola Charly57. Llevo 10 dias con Ubuntu principalmente para usar Cinelerra. Este es mi primer mensaje en el foro, así que espero que te sea de utilidad. Yo tengo instalado Ubuntu via Synaptic y me da el mismo problema que a ti.

Para solucionarlo únicamente entra en la Terminal (creo que en castellano es via el menú Aplicaciones/Accesorios/Terminal) y desde allí teclea primero sudo -s y introduce luego la misma contrasenya que utilizas para tu usuario. Una vez identificado como root tecleas la instrucción que te pide cinelerra echo "0x7fffffff">/proc/sys/kernel/shmmax . Cuando vuelvas a entrar a Cinelerra ya no te dará este error.

Estoy intentando averiguar como cargar directamente la instrucción para no tener que teclearla cada vez que incio el sistema, pero ahora mismo toca ir a dormir y ya lo investigaré otro dia.

P.D.: Para la instalación de Cinelerra en Ubuntu Edgy Eft ya funcionan los repositorios especiales para ubuntu de la pàgina http://www.cvs.cinelerra.org (uno de ellos estaba inoperativo hasta hoy). Son los siguientes:
deb http://giss.tv/~vale/ubuntu32 ./
deb-src http://giss.tv/~vale/ubuntu32 ./

Con estos repositorios y Ubuntu Edgy la instalación de Cinelerra no tiene ningún problema más que el que acabamos de comentar.

+1
0
-1
Imagen de Anónimo
+1
0
-1

Muchas gracias por haber puesto estos repositirios para ubuntu. Habitualmente uso debian, pero cuando necesito ubuntu, me faltaba el cinelerra. Con esto me has solucionado el problema

+1
0
-1
Imagen de Charly57
+1
0
-1

Muchas gracias por responder.
Bueno, no consultaba este foro desde unas semanas atrás, por eso no había respondido.
Realice todo el procedimiento con la consola tal como lo explicas y efectivamente el error desaparece, pero cundo se inicia de nuevo Cinelerra el error continua; también instale los repositorios;

deb http://giss.tv/~vale/ubuntu32 ./
deb-src http://giss.tv/~vale/ubuntu32 ./

Y obtuve los mismos resultados, por lo cual desistí e instale los repositorios para Cinelerra 2.0 que están diseñados para Dapper y me funcionaron perfectamente con Edgy.

#mjpegtools
deb http://www.kiberpipa.org/~gandalf/ubuntu/dapper/mjpegtools ./
Y dependiendo del procesador que usas:
#cinelerra
- i686:
deb http://www.kiberpipa.org/~gandalf/ubuntu/dapper/cinelerra/i686/ ./
- athlonxp:
deb http://www.kiberpipa.org/~gandalf/ubuntu/dapper/cinelerra/athlonxp/ ./
- pentium4:
deb http://www.kiberpipa.org/~gandalf/ubuntu/dapper/cinelerra/pentium4/ ./

+1
0
-1
Imagen de Anónimo
+1
0
-1

aca hay un completo y facil howto para que no reniegues...

http://dr-fest.blogspot.com/2007/02/howto-cmo-instalar-la-ltima-versin-d...

+1
0
-1
Imagen de DanielG007
+1
0
-1

Yo tengo el siguiente fallo al intentar ejercutar cinelerra:

cinelerra: symbol lookup error: /usr/lib/libquicktimehv-1.6.0.so.1: undefined symbol: faacDecOpen

¿Como podria solucionarlo?

+1
0
-1

Existen sólo dos cosas infinitas, el Univero y la estupidez humana y de lo primero no estoy muy seguro {Albert Einstein}

Imagen de rafs
+1
0
-1

A mi me salia el mismo error (symbol lookup error: /usr/lib/libquicktimehv-1.6.0.so.1: undefined symbol: faacDecOpen)

busca con el synaptic la libreria libfaad

en mi caso la tenia instalada (libfaad 2.0)

con ella marcada fui arriba al menu paqute y forzar version

alli sale la instalada y debajo en el desplegable otra (para ubuntu)

puse la otra y aplicar, lo demas lo hace el synaptic

asi me funciona desde el menu y desde consola

 

+1
0
-1
Imagen de Anónimo
+1
0
-1

pues este no es un error, segun veo en esta informacion que encontre:

20.9.3 Freeing more shared memory

The GNU/Linux kernel only allows 32MB of shared memory to be allocated by default. This needs to be increased to do anything useful. Run the following command:
echo "0x7fffffff" > /proc/sys/kernel/shmmax

For a permanent change, add to the `/etc/sysctl.conf' file the following line:

kernel/shmmax=0x7fffffff

For the first time, to avoid restarting your computer, use the following command as root:
sysctl -p

osea, que es para agregarle mas memoria a cinelerra o algo asi.

a mi me salio el mismo error y esta fue la info que encontre.

+1
0
-1
Imagen de Anónimo
+1
0
-1

hola, despues de gastar 1h en instalar bien cinelerra, he abierto un video mov, y me daba error al cargarlo. lo he transformado con mencoder a formato divx y me da error continuamente. un cinelerra mas antiguo no me daba error pero hacia un crash cada vez que exportaba mi trabajo realizado en 30min. llevo ya 2h probando, y no me considero un inutil por completo; llevo 2 años de experiencia con linux.
sin embargo debo reconocer que linux incluso en sus versiones mas buenas (ubuntu), señores, es hoy por hoy, y hasta que la gente no invierta en el de manera seria, UNA PERDIDA DE TIEMPO. no les aconsejo que pierdan todo el tiempo que yo llevo invertido en este juguete de informaticos si no tienen un trabajo dentro de la universidad de por vida que no depende de su productividad. es muy divertido siempre que no pretendas crear nada distinto de un fichero de texto.
hoy ha sido la gota que colma el vaso. basta. windows o mac. da igual. pero almenos saber que alguien se hace responsable de que el sistema funcione. no tengo ningun lazo ni con windows ni con mac. odio la filosofia del software propietario, pero tengo vida personal, y me gustaria que nuevos usuarios de linux no pasaran por lo mismo que yo.

+1
0
-1
Imagen de furtaxi
+1
0
-1

Estimado amigo: eres muy libre de volver al sistema de pago, o no libre, o cómo quieras llamarlo. hora, te explico tu problema con el cinelerra.

Llevo desde enero (Sí, 3 meses) intentando que una capturadora Pinnacle DC10 funcione bajo Linux (y no digo Ubuntu, he probado un mogollón de distros), ya que XP me dice que el driver no está comprobado por Microsoft, y he tenido que tirar la toalla, y comprarme una AverTV 203. He logrado recibir la tv y la señal de la cámara, pero no puedo grabar.

Lo que ocurre es que, en cierta manera, Linux va por delante de otros en lo que respecta al hardware, y no tiene soporte (o muy poco) para las señales de vídeo analógica, pero con Kino, puedes trabajar con cámaras digitales sin más complicaciones.

Cinelerra es un gran programa, al menos, lo dicen quienes han conseguido instalarlo, pero en los 90 dias que llevo de lucha, he tenido innumerables problemas para lograrlo. Ayer, a las 2 de la madrugada, lo conseguí, pero aún no sé usarlo. Estamos en ello, y, como muchos otros usuarios de Linux, intentaré hacer algo con él, y explicar a la comunidad cómo lo habré conseguido. Pero Cinelerra es dificil de instalar, configurar, y usar.

En lo que respecta a los problemas que tienes, te recuerdo que los formatos de vídeo qtime, mov, wmv, etc, no son libres. En teoría, si los usas, tienes que tener las oportunas licencias, aunque los trates y generes con soft libre. Linux tiene su propio formato, y ése es libre, y lo que hagas en él puede ser distribuido, compartido yo vendido.

Solución 1 Si quieres Soft Libre, usa codecs libres. Si alguien te dice que no puede visualizar tus vídeos, pues que instale Ubuntu (u otro).

Solución 2 Si quieres hacer cosas para usuarios de otros sistemas operativos, paga. No hay alternativa.

Y en lo de que hace falta invertir en Linux, te recuerdo que somos miles de personas en todo el mundo, que pasamos muchas horas "fuchicando" por aquí y por allá para conseguir que mejore, y compartimos nuestras experiencias. Mira a ver cuanto tardaste en ver  respuestas a tu situación, o a la de otros usuarios con problemas similare, y manda un e-mail a Maicrosft o a Aple reportando un problema, y compara el tiempo de respuesta. Es lo que hay.

Si nos envias detalles más concretos de los errores, los analizaremos, y, seguramente, recibas más de una sugerencia. 

Saludos

Roberto 

Errar es humano, y yo soy muy humano...

Mi página personal: www.vigonews.es

+1
0
-1

Mi web : www.vigovideo.es
Buscar es más rápido que esperar una respuesta.

Imagen de Anónimo
+1
0
-1

He seguido los pasos arriba indicado para instalar cinelerra en ubuntu edgy

Para eliminar el error de memoria compartida

$ sudo gedit /etc/sysctl.conf

añado la linea

kernel.shmmax=0x7fffffff

he reiniciado el sistema y no me ha vuelto a dar el error

Para ponerlo en castellano
$sudo gedit /var/lib/locales/supported.d/local

#añadir la siguiente linea a las que haya antes de en_EN

es_ES ISO-8859-1

#Guardo el fichero y salgo
#Ejecuta la orden siguiente para reconfigurar lenguajes

$sudo dpkg-reconfigure locales

En el menu de gnome Administracion Soporte de Idiomnas selecciono "Español España"

Espero que os sirva, mi sistema es un P4 28000, ati 9200SE con fglrx y 512 de RAM
NO DESAMINAOS

+1
0
-1
Imagen de Pillo
+1
0
-1

Hola.
Pues instale cinelerra todo bien.
Reinicio abro cinelerra y zas error kernel.shmmax=0x7fffffff.
Lo abro en consola con "sudo cinelerra" y ya no sale ese error, lo cierro y lo abro desde Aplicaciones->Sonido y video->Cinelerra y va bien.

+1
0
-1
Imagen de DanielG007
+1
0
-1

Mil gracias, funciona a la perfección.Chulo

+1
0
-1

Existen sólo dos cosas infinitas, el Univero y la estupidez humana y de lo primero no estoy muy seguro {Albert Einstein}

Imagen de DanielG007
+1
0
-1

Hola, sabes sis e puede traducir cinelerra en Feisty 64 bits compilado desde las fuentes? (haciendo lo mismo no se traduce al español)

+1
0
-1

Existen sólo dos cosas infinitas, el Univero y la estupidez humana y de lo primero no estoy muy seguro {Albert Einstein}

Imagen de kelp
+1
0
-1

A ver, por qué no posteáis las dudas en el lugar apropiado?
Las secciones de los foros están para algo.

Te muevo el post a la sección adecuada...

Aceitunas sin hueso

+1
0
-1

Las tres cosas más peligrosas del mundo son: un programador con un soldador, un ingeniero de hardware con un parche de software y un usuario con una idea

Imagen de DanielG007
+1
0
-1

Pareceis la Guardia Civil

+1
0
-1

Existen sólo dos cosas infinitas, el Univero y la estupidez humana y de lo primero no estoy muy seguro {Albert Einstein}

Imagen de furtaxi
+1
0
-1

Con radar laser homologado ....

Perdona, Kelp, lo tenía a hu:vo 

Errar es humano, y yo soy muy humano...

Mi página personal: www.vigonews.es

+1
0
-1

Mi web : www.vigovideo.es
Buscar es más rápido que esperar una respuesta.

Imagen de abate
+1
0
-1

hola saludos

una pregunta sin otra lectura

cuando decis que lo pasais a otro sitio pregunto en este caso el tema de la instalacion de cinelerra  donde deberia estar correctamente ubicado

si no es en programas ? imagen sonido ? instalacion ?

repito sin otro animo es una pregunta

saludos 

+1
0
-1
Imagen de kelp
+1
0
-1

El post ya está movido a la sección adecuada, que es programas.

Si digo que lo muevo a la sección adecuada es porque lo voy a hacer, el usuario no lo había posteado en ninguna sección. :) 

 


Equipo de moderadores del Foro
Normas

Mi Blog: Aceitunas sin hueso

 

+1
0
-1

Las tres cosas más peligrosas del mundo son: un programador con un soldador, un ingeniero de hardware con un parche de software y un usuario con una idea

Imagen de furtaxi
+1
0
-1

Fuituros Spielberg?, he encontrado éste manual, a ver si nos ayuda a todos:

http://vjspain.com/tutor/cinelerra/manual-cinelerra.pdf

Aún no lo leí, a ver si me ayuda a activar la captura de vídeo analógico...

Saludos,

Roberto

 

Errar es humano, y yo soy muy humano...

Mi página personal: www.vigonews.es

+1
0
-1

Mi web : www.vigovideo.es
Buscar es más rápido que esperar una respuesta.

Imagen de FiRuZ
+1
0
-1

po eso no consigo isntalar cinelerra lo ago como este manual:
y me sale esto:

Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
No se pudieron instalar algunos paquetes. Esto puede significar que
usted pidió una situación imposible o, si está usando la distribución
inestable, que algunos paquetes necesarios no han sido creados o han
sido movidos fuera de Incoming.

Como sólo solicito una única operación, es extremadamente posible que el
paquete simplemente no sea instalable y debería de rellenar un informe de
error contra ese paquete.
La siguiente información puede ayudar a resolver la situación:

Los siguientes paquetes tienen dependencias incumplidas:
  cinelerra: Depende: libguicast (= 1:2.1.0-2svn20080707ubuntu) pero no va a instalarse
             Depende: libmpeg3hv (= 1:2.1.0-2svn20080707ubuntu) pero 1:2.1.0-2svn20080208ubuntu1 va a ser instalado
E: Paquetes rotos

+1
0
-1
Imagen de FiRuZ
+1
0
-1

bueno pues eso no se me instala lo intento x consoloa y me sale esto

 sudo apt-get install cinelerra
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
No se pudieron instalar algunos paquetes. Esto puede significar que
usted pidió una situación imposible o, si está usando la distribución
inestable, que algunos paquetes necesarios no han sido creados o han
sido movidos fuera de Incoming.

Como sólo solicito una única operación, es extremadamente posible que el
paquete simplemente no sea instalable y debería de rellenar un informe de
error contra ese paquete.
La siguiente información puede ayudar a resolver la situación:

Los siguientes paquetes tienen dependencias incumplidas:
  cinelerra: Depende: libguicast (= 1:2.1.0-2svn20080707ubuntu) pero no va a instalarse
             Depende: libmpeg3hv (= 1:2.1.0-2svn20080707ubuntu) pero 1:2.1.0-2svn20080208ubuntu1 va a ser instalado
E: Paquetes rotos

+1
0
-1
Imagen de furtaxi
+1
0
-1

¿ Qué versión usas ?
Si es Hardy Hearon, o Intrepid Ibex, a mi me funcionan así:
http://www.ubuntu-es.org/index.php?q=node/89271

hay más cosas, que, de seguro, te interesarán.

Edito: para los repositorios de cinelerra, cambia hardy por intrepid:
1.- sudo wget http://repository.akirad.net/dists/hardy.list -O /etc/apt/sources.list.d/akirad.list

2.- wget -q http://repository.akirad.net/dists/akirad.key -O- | sudo apt-key add -

Por

1.- sudo wget http://repository.akirad.net/dists/intrepid.list -O /etc/apt/sources.list.d/akirad.list

2.- wget -q http://repository.akirad.net/dists/akirad.key -O- | sudo apt-key add -

Mi WEB 100 % GNU/Linux: www.vigovideo.es
¡ Atención ! Contestar con casco de seguridad, a ésta firma, se le caen letras... :)
Recuerda buscar antes de preguntar, o regalarnos un servidor nuevo.

+1
0
-1

Mi web : www.vigovideo.es
Buscar es más rápido que esperar una respuesta.